#rotateImage {
    display: block;
    width: 40px;
    height: 40px;
    max-width: 40px;
    max-height: 40px;
    -webkit-touch-callout: none; 
    -webkit-user-drag: none;  
    user-select: none; 
    transition: transform 0.3s ease-in-out;
    margin-left: -15px;
    margin-top: -15px;
    filter: drop-shadow(0 0 5px rgba(0,0,0,00.4));
}

#menu {
    justify-content: center;
    flex-wrap: wrap;
    display: none;
    margin-left: -8px;
    margin-top: 14px;
    width: 140px;
    max-width: 80%;
}

.menu-button {
    display: none;
    animation: fade-in 0.2s ease-in-out forwards;
    margin-bottom: 20px;
    border-radius: 10px;
    background-color: #121c27;
    border: 2px solid #121c27;
    color: #a8a8a8;
    font-weight: bold;
    font-size: 14px;
    padding: 5px 12px;
    -webkit-user-drag: none;  
    user-select: none; 
    box-shadow: 0px 0px 8px #0f0f0f;
    transition:
            border 0.4s,
            background-color 0.3s,
            box-shadow 0.4s,
            width 0.5s;
}

@keyframes fade-in {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes fade-out {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

.menu-button:hover {
    padding: 5px 18px;
    background-color: #192d46;
    border: 2px solid rgb(0, 153, 255);
    box-shadow: 0px 0px 8px rgb(0, 153, 255);
    color: #fff;
}

